MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027883Open CASCADE[OCCT] OCCT:Visualizationpublic2016-09-20 12:572016-12-09 16:38
Reporterbugmaster 
Assigned Tokgv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027883: Visualization - AIS_InteractiveContext::IsDisplayed() does not return displayed state for specified Display Mode
DescriptionIt is not possible to change shape attributes (shading, material,color,transparency .. )in mfc Import\Export and Ocaf sample both from main and pop-up menu.

This is regression after 0021306.
Steps To Reproduce- Start MFC Import/Export sample
- Import BRep file from standard samples
- Select model in 3D viewer
- Try switching Wireframe/Shaded mode on toolbar
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0021306closedbugmaster Visualization, AIS_InteractiveContext - revise DisplayedModes() semantics 

-  Notes
(0058146)
git (administrator)
2016-09-26 11:40

Branch CR27883 has been created by kgv.

SHA-1: 91da9097a3d9a29f42bef58a80619f131af63c53


Detailed log of new commits:

Author: kgv
Date: Mon Sep 26 11:38:18 2016 +0300

    0027883: Visualization - AIS_InteractiveContext::IsDisplayed() does not return displayed state for specified Display Mode
(0058147)
kgv (developer)
2016-09-26 11:41

Patch is ready for review.
(0058180)
san (developer)
2016-09-26 19:35

Branch CR27883 reviewed without remarks, ready for testing.
(0058204)
mkv (tester)
2016-09-27 13:42

Dear BugMaster,
Branch CR27883 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 91da9097a3d9a29f42bef58a80619f131af63c53

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 64 (64 on master)
Windows: 0 (0 on master)
MacOS : 1134

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 90911119 / 90239129 [+0.74%]
Total CPU difference: 19402.81999999993 / 19251.769999999873 [+0.78%]
products component :
Total MEMORY difference: 30033129 / 30057668 [-0.08%]
Total CPU difference: 5144.009999999966 / 5152.399999999975 [-0.16%]

Testing on Windows:
occt component :
Total MEMORY difference: 57214195 / 57221541 [-0.01%]
Total CPU difference: 17971.8768035986 / 18310.78897609872 [-1.85%]
products component :
Total MEMORY difference: 21271148 / 21235672 [+0.17%]
Total CPU difference: 4893.720169799945 / 4988.631178199945 [-1.90%]

There are no differences in images found by testdiff.
(0058205)
mkv (tester)
2016-09-27 13:42

Dear BugMaster,
Branch CR27883 is TESTED.
(0058206)
mkv (tester)
2016-09-27 13:43

Dear BugMaster,
could you please test MFC Import/Export sample
(0059525)
git (administrator)
2016-10-28 21:45

Branch CR27883 has been deleted by kgv.

SHA-1: 91da9097a3d9a29f42bef58a80619f131af63c53

- Related Changesets
occt: master b2bafb33
Timestamp: 2016-09-26 08:38:18
Author: kgv
Details ] Diff ]
0027883: Visualization - AIS_InteractiveContext::IsDisplayed() does not return displayed state for specified Display Mode
mod - src/AIS/AIS_InteractiveContext.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-09-20 12:57 bugmaster New Issue
2016-09-20 12:57 bugmaster Assigned To => bugmaster
2016-09-20 14:27 bugmaster Assigned To bugmaster => kgv
2016-09-20 14:27 bugmaster Status new => assigned
2016-09-26 11:24 kgv Relationship added child of 0021306
2016-09-26 11:37 kgv Summary Regression vs 7.0.0: It is not possible to manipulate shape attributes in mfc Import\Export and Ocaf sample => Visualization - AIS_InteractiveContext::IsDisplayed() does not return displayed state for specified Display Mode
2016-09-26 11:37 kgv Steps to Reproduce Updated View Revisions
2016-09-26 11:40 git Note Added: 0058146
2016-09-26 11:41 kgv Note Added: 0058147
2016-09-26 11:41 kgv Assigned To kgv => san
2016-09-26 11:41 kgv Status assigned => resolved
2016-09-26 11:41 kgv Description Updated View Revisions
2016-09-26 11:41 kgv Category OCCT:Samples => OCCT:Visualization
2016-09-26 19:35 san Note Added: 0058180
2016-09-26 19:35 san Assigned To san => bugmaster
2016-09-26 19:35 san Status resolved => reviewed
2016-09-26 20:20 mkv Assigned To bugmaster => mkv
2016-09-27 13:42 mkv Note Added: 0058204
2016-09-27 13:42 mkv Note Added: 0058205
2016-09-27 13:43 mkv Note Added: 0058206
2016-09-27 13:43 mkv Assigned To mkv => bugmaster
2016-09-27 13:43 mkv Status reviewed => feedback
2016-09-27 13:43 mkv Test case number => Not needed
2016-10-03 13:47 kgv Changeset attached => occt master b2bafb33
2016-10-03 13:47 kgv Assigned To bugmaster => kgv
2016-10-03 13:47 kgv Status feedback => verified
2016-10-03 13:47 kgv Resolution open => fixed
2016-10-28 21:45 git Note Added: 0059525
2016-12-09 16:30 user533 Status verified => closed
2016-12-09 16:38 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker